> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Sandbox

> Generates a sandbox with mocked out data.
Uses the same connection ID every time, and will reset any existing sandbox.
See the [walkthrough](/how-to-guides/sandbox) for more information.



## OpenAPI

````yaml post /sandbox/generate-sandbox/{integration_type}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /sandbox/generate-sandbox/{integration_type}:
    post:
      tags:
        - Sandbox
      summary: Generate Sandbox
      description: >-
        Generates a sandbox with mocked out data.

        Uses the same connection ID every time, and will reset any existing
        sandbox.

        See the [walkthrough](/how-to-guides/sandbox) for more information.
      operationId: post_POST__sandbox_generate-sandbox_integration_type
      parameters:
        - in: path
          name: integration_type
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeResponseSandbox'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    ExchangeResponseSandbox:
      type: object
      properties:
        access_token:
          type: string
          description: >-
            The permanent access token for the integration used to make requests
            to the Trackstar API.
          example: your_permanent_access_token
        connection_id:
          type: string
          description: A unique connection ID for the integration.
          example: unique_connection_id
        integration_name:
          type: string
          description: The name of the integration that was installed.
          example: sandbox
        customer_id:
          type:
            - string
            - 'null'
          description: An identifier for your end customer.
          example: customer_id
        available_actions:
          type: array
          description: A list of actions that the integration supports.
          example:
            - get_inventory
            - get_products
          items:
            type: string
            description: Actions supported by the integration
        me:
          type:
            - object
            - 'null'
          description: >-
            Information that helps identify the connected account. If null, the
            integration does not provide this information.
          example:
            account_id: account_12345
            account_name: My WMS Account
          additionalProperties:
            description: Field value. Structure varies based on integration.
      required:
        - access_token
        - available_actions
        - connection_id
        - customer_id
        - integration_name
        - me
      additionalProperties: false
      title: ExchangeResponseSandbox
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError

````